Index: sources/app/src/main/java/parkup/configs/RegistrationServiceW.java
===================================================================
--- sources/app/src/main/java/parkup/configs/RegistrationServiceW.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/configs/RegistrationServiceW.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -1,148 +1,148 @@
-package parkup.configs;
-
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.stereotype.Service;
-import parkup.configs.email.EmailSender;
-import parkup.configs.email.EmailValidator;
-import parkup.configs.token.ConfirmationTokenW;
-import parkup.configs.token.ConfirmationTokenService;
-import parkup.entities.Vraboten;
-import parkup.services.VrabotenService;
-
-import javax.transaction.Transactional;
-import java.time.LocalDateTime;
-
-@Service
-public class RegistrationServiceW {
-    private final VrabotenService vrabotenService;
-    private final EmailValidator emailValidator;
-    private final ConfirmationTokenService confirmationTokenService;
-    private final EmailSender emailSender;
-
-    @Autowired
-    public RegistrationServiceW(VrabotenService vrabotenService, EmailValidator emailValidator,
-                                 ConfirmationTokenService confirmationTokenService, EmailSender emailSender) {
-        this.vrabotenService = vrabotenService;
-        this.emailValidator = emailValidator;
-        this.confirmationTokenService = confirmationTokenService;
-        this.emailSender = emailSender;
-    }
-
-    public String register(RegistrationRequest request) {
-        boolean isValidEmail = emailValidator.
-                test(request.getEmail());
-
-        if (!isValidEmail) {
-            throw new IllegalStateException("email not valid");
-        }
-
-        String token = vrabotenService.signUpVraboten(
-                new Vraboten(
-                        request.getFirstName(),
-                        request.getLastName(),
-                        request.getEmail(),
-                        request.getPassword(),
-                        request.getMobile()
-                )
-        );
-
-        String link = "http://localhost:8080/vraboten/registration/confirm?token=" + token;
-        emailSender.send(
-                request.getEmail(),
-                buildEmail(request.getFirstName(), link));
-
-        return token;
-    }
-
-    @Transactional
-    public String confirmToken(String token) {
-        ConfirmationTokenW confirmationTokenW = confirmationTokenService
-                .getTokenW(token)
-                .orElseThrow(() ->
-                        new IllegalStateException("token not found"));
-
-        if (confirmationTokenW.getConfirmedAt() != null) {
-            throw new IllegalStateException("email already confirmed");
-        }
-
-        LocalDateTime expiredAt = confirmationTokenW.getExpiresAt();
-
-        if (expiredAt.isBefore(LocalDateTime.now())) {
-            throw new IllegalStateException("token expired");
-        }
-
-        confirmationTokenService.setConfirmedAtW(token);
-
-        vrabotenService.enableVraboten(confirmationTokenW.getRegistriranParkirac().getEmail());
-        return "confirmed";
-    }
-
-    private String buildEmail(String name, String link) {
-        return "<div style=\"font-family:Helvetica,Arial,sans-serif;font-size:16px;margin:0;color:#0b0c0c\">\n" +
-                "\n" +
-                "<span style=\"display:none;font-size:1px;color:#fff;max-height:0\"></span>\n" +
-                "\n" +
-                "  <table role=\"presentation\" width=\"100%\" style=\"border-collapse:collapse;min-width:100%;width:100%!important\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n" +
-                "    <tbody><tr>\n" +
-                "      <td width=\"100%\" height=\"53\" bgcolor=\"#0b0c0c\">\n" +
-                "        \n" +
-                "        <table role=\"presentation\" width=\"100%\" style=\"border-collapse:collapse;max-width:580px\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"center\">\n" +
-                "          <tbody><tr>\n" +
-                "            <td width=\"70\" bgcolor=\"#0b0c0c\" valign=\"middle\">\n" +
-                "                <table role=\"presentation\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse\">\n" +
-                "                  <tbody><tr>\n" +
-                "                    <td style=\"padding-left:10px\">\n" +
-                "                  \n" +
-                "                    </td>\n" +
-                "                    <td style=\"font-size:28px;line-height:1.315789474;Margin-top:4px;padding-left:10px\">\n" +
-                "                      <span style=\"font-family:Helvetica,Arial,sans-serif;font-weight:700;color:#ffffff;text-decoration:none;vertical-align:top;display:inline-block\">Confirm your email</span>\n" +
-                "                    </td>\n" +
-                "                  </tr>\n" +
-                "                </tbody></table>\n" +
-                "              </a>\n" +
-                "            </td>\n" +
-                "          </tr>\n" +
-                "        </tbody></table>\n" +
-                "        \n" +
-                "      </td>\n" +
-                "    </tr>\n" +
-                "  </tbody></table>\n" +
-                "  <table role=\"presentation\" class=\"m_-6186904992287805515content\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse;max-width:580px;width:100%!important\" width=\"100%\">\n" +
-                "    <tbody><tr>\n" +
-                "      <td width=\"10\" height=\"10\" valign=\"middle\"></td>\n" +
-                "      <td>\n" +
-                "        \n" +
-                "                <table role=\"presentation\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse\">\n" +
-                "                  <tbody><tr>\n" +
-                "                    <td bgcolor=\"#1D70B8\" width=\"100%\" height=\"10\"></td>\n" +
-                "                  </tr>\n" +
-                "                </tbody></table>\n" +
-                "        \n" +
-                "      </td>\n" +
-                "      <td width=\"10\" valign=\"middle\" height=\"10\"></td>\n" +
-                "    </tr>\n" +
-                "  </tbody></table>\n" +
-                "\n" +
-                "\n" +
-                "\n" +
-                "  <table role=\"presentation\" class=\"m_-6186904992287805515content\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse;max-width:580px;width:100%!important\" width=\"100%\">\n" +
-                "    <tbody><tr>\n" +
-                "      <td height=\"30\"><br></td>\n" +
-                "    </tr>\n" +
-                "    <tr>\n" +
-                "      <td width=\"10\" valign=\"middle\"><br></td>\n" +
-                "      <td style=\"font-family:Helvetica,Arial,sans-serif;font-size:19px;line-height:1.315789474;max-width:560px\">\n" +
-                "        \n" +
-                "            <p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\">Hi " + name + ",</p><p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\"> Thank you for registering. Please click on the below link to activate your account: </p><blockquote style=\"Margin:0 0 20px 0;border-left:10px solid #b1b4b6;padding:15px 0 0.1px 15px;font-size:19px;line-height:25px\"><p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\"> <a href=\"" + link + "\">Activate Now</a> </p></blockquote>\n Link will expire in 15 minutes. <p>See you soon</p>" +
-                "        \n" +
-                "      </td>\n" +
-                "      <td width=\"10\" valign=\"middle\"><br></td>\n" +
-                "    </tr>\n" +
-                "    <tr>\n" +
-                "      <td height=\"30\"><br></td>\n" +
-                "    </tr>\n" +
-                "  </tbody></table><div class=\"yj6qo\"></div><div class=\"adL\">\n" +
-                "\n" +
-                "</div></div>";
-    }
-}
+//package parkup.configs;
+//
+//import org.springframework.beans.factory.annotation.Autowired;
+//import org.springframework.stereotype.Service;
+//import parkup.configs.email.EmailSender;
+//import parkup.configs.email.EmailValidator;
+//import parkup.configs.token.ConfirmationTokenW;
+//import parkup.configs.token.ConfirmationTokenService;
+//import parkup.entities.Vraboten;
+//import parkup.services.VrabotenService;
+//
+//import javax.transaction.Transactional;
+//import java.time.LocalDateTime;
+//
+//@Service
+//public class RegistrationServiceW {
+//    private final VrabotenService vrabotenService;
+//    private final EmailValidator emailValidator;
+//    private final ConfirmationTokenService confirmationTokenService;
+//    private final EmailSender emailSender;
+//
+//    @Autowired
+//    public RegistrationServiceW(VrabotenService vrabotenService, EmailValidator emailValidator,
+//                                 ConfirmationTokenService confirmationTokenService, EmailSender emailSender) {
+//        this.vrabotenService = vrabotenService;
+//        this.emailValidator = emailValidator;
+//        this.confirmationTokenService = confirmationTokenService;
+//        this.emailSender = emailSender;
+//    }
+//
+//    public String register(RegistrationRequest request) {
+//        boolean isValidEmail = emailValidator.
+//                test(request.getEmail());
+//
+//        if (!isValidEmail) {
+//            throw new IllegalStateException("email not valid");
+//        }
+//
+//        String token = vrabotenService.signUpVraboten(
+//                new Vraboten(
+//                        request.getFirstName(),
+//                        request.getLastName(),
+//                        request.getEmail(),
+//                        request.getPassword(),
+//                        request.getMobile()
+//                )
+//        );
+//
+//        String link = "http://localhost:8080/vraboten/registration/confirm?token=" + token;
+//        emailSender.send(
+//                request.getEmail(),
+//                buildEmail(request.getFirstName(), link));
+//
+//        return token;
+//    }
+//
+//    @Transactional
+//    public String confirmToken(String token) {
+//        ConfirmationTokenW confirmationTokenW = confirmationTokenService
+//                .getTokenW(token)
+//                .orElseThrow(() ->
+//                        new IllegalStateException("token not found"));
+//
+//        if (confirmationTokenW.getConfirmedAt() != null) {
+//            throw new IllegalStateException("email already confirmed");
+//        }
+//
+//        LocalDateTime expiredAt = confirmationTokenW.getExpiresAt();
+//
+//        if (expiredAt.isBefore(LocalDateTime.now())) {
+//            throw new IllegalStateException("token expired");
+//        }
+//
+//        confirmationTokenService.setConfirmedAtW(token);
+//
+//        vrabotenService.enableVraboten(confirmationTokenW.getRegistriranParkirac().getEmail());
+//        return "confirmed";
+//    }
+//
+//    private String buildEmail(String name, String link) {
+//        return "<div style=\"font-family:Helvetica,Arial,sans-serif;font-size:16px;margin:0;color:#0b0c0c\">\n" +
+//                "\n" +
+//                "<span style=\"display:none;font-size:1px;color:#fff;max-height:0\"></span>\n" +
+//                "\n" +
+//                "  <table role=\"presentation\" width=\"100%\" style=\"border-collapse:collapse;min-width:100%;width:100%!important\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n" +
+//                "    <tbody><tr>\n" +
+//                "      <td width=\"100%\" height=\"53\" bgcolor=\"#0b0c0c\">\n" +
+//                "        \n" +
+//                "        <table role=\"presentation\" width=\"100%\" style=\"border-collapse:collapse;max-width:580px\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" align=\"center\">\n" +
+//                "          <tbody><tr>\n" +
+//                "            <td width=\"70\" bgcolor=\"#0b0c0c\" valign=\"middle\">\n" +
+//                "                <table role=\"presentation\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse\">\n" +
+//                "                  <tbody><tr>\n" +
+//                "                    <td style=\"padding-left:10px\">\n" +
+//                "                  \n" +
+//                "                    </td>\n" +
+//                "                    <td style=\"font-size:28px;line-height:1.315789474;Margin-top:4px;padding-left:10px\">\n" +
+//                "                      <span style=\"font-family:Helvetica,Arial,sans-serif;font-weight:700;color:#ffffff;text-decoration:none;vertical-align:top;display:inline-block\">Confirm your email</span>\n" +
+//                "                    </td>\n" +
+//                "                  </tr>\n" +
+//                "                </tbody></table>\n" +
+//                "              </a>\n" +
+//                "            </td>\n" +
+//                "          </tr>\n" +
+//                "        </tbody></table>\n" +
+//                "        \n" +
+//                "      </td>\n" +
+//                "    </tr>\n" +
+//                "  </tbody></table>\n" +
+//                "  <table role=\"presentation\" class=\"m_-6186904992287805515content\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse;max-width:580px;width:100%!important\" width=\"100%\">\n" +
+//                "    <tbody><tr>\n" +
+//                "      <td width=\"10\" height=\"10\" valign=\"middle\"></td>\n" +
+//                "      <td>\n" +
+//                "        \n" +
+//                "                <table role=\"presentation\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse\">\n" +
+//                "                  <tbody><tr>\n" +
+//                "                    <td bgcolor=\"#1D70B8\" width=\"100%\" height=\"10\"></td>\n" +
+//                "                  </tr>\n" +
+//                "                </tbody></table>\n" +
+//                "        \n" +
+//                "      </td>\n" +
+//                "      <td width=\"10\" valign=\"middle\" height=\"10\"></td>\n" +
+//                "    </tr>\n" +
+//                "  </tbody></table>\n" +
+//                "\n" +
+//                "\n" +
+//                "\n" +
+//                "  <table role=\"presentation\" class=\"m_-6186904992287805515content\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\" style=\"border-collapse:collapse;max-width:580px;width:100%!important\" width=\"100%\">\n" +
+//                "    <tbody><tr>\n" +
+//                "      <td height=\"30\"><br></td>\n" +
+//                "    </tr>\n" +
+//                "    <tr>\n" +
+//                "      <td width=\"10\" valign=\"middle\"><br></td>\n" +
+//                "      <td style=\"font-family:Helvetica,Arial,sans-serif;font-size:19px;line-height:1.315789474;max-width:560px\">\n" +
+//                "        \n" +
+//                "            <p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\">Hi " + name + ",</p><p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\"> Thank you for registering. Please click on the below link to activate your account: </p><blockquote style=\"Margin:0 0 20px 0;border-left:10px solid #b1b4b6;padding:15px 0 0.1px 15px;font-size:19px;line-height:25px\"><p style=\"Margin:0 0 20px 0;font-size:19px;line-height:25px;color:#0b0c0c\"> <a href=\"" + link + "\">Activate Now</a> </p></blockquote>\n Link will expire in 15 minutes. <p>See you soon</p>" +
+//                "        \n" +
+//                "      </td>\n" +
+//                "      <td width=\"10\" valign=\"middle\"><br></td>\n" +
+//                "    </tr>\n" +
+//                "    <tr>\n" +
+//                "      <td height=\"30\"><br></td>\n" +
+//                "    </tr>\n" +
+//                "  </tbody></table><div class=\"yj6qo\"></div><div class=\"adL\">\n" +
+//                "\n" +
+//                "</div></div>";
+//    }
+//}
Index: sources/app/src/main/java/parkup/configs/WebSecurityConfig.java
===================================================================
--- sources/app/src/main/java/parkup/configs/WebSecurityConfig.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ 	(revision )
@@ -1,62 +1,0 @@
-package parkup.configs;
-
-import org.springframework.context.annotation.Bean;
-import org.springframework.context.annotation.Configuration;
-import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
-import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
-import org.springframework.security.config.annotation.web.builders.HttpSecurity;
-import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
-import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
-import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
-import parkup.services.RegistriranParkiracService;
-import parkup.services.VrabotenService;
-
-@EnableWebSecurity
-@Configuration
-public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
-        private final VrabotenService vrabotenService;
-        private final BCryptPasswordEncoder bCryptPasswordEncoder;
-        private final RegistriranParkiracService registriranParkiracService;
-
-        public WebSecurityConfig(VrabotenService vrabotenService, BCryptPasswordEncoder bCryptPasswordEncoder, RegistriranParkiracService registriranParkiracService) {
-            this.vrabotenService = vrabotenService;
-            this.bCryptPasswordEncoder = bCryptPasswordEncoder;
-            this.registriranParkiracService = registriranParkiracService;
-        }
-
-        @Override
-        protected void configure(HttpSecurity http) throws Exception {
-            http
-                    .csrf().disable()
-                    .authorizeRequests()
-                        .antMatchers("/vraboten/registration/**")
-                        .permitAll()
-                        .antMatchers("/registriranParkirac/registration/**")
-                        .permitAll()
-                    .anyRequest()
-                    .authenticated().and().formLogin();
-        }
-
-        @Override
-        protected void configure(AuthenticationManagerBuilder auth) throws Exception {
-            auth.authenticationProvider(daoAuthenticationProviderW());
-            auth.authenticationProvider(daoAuthenticationProviderRP());
-        }
-
-        @Bean
-        public DaoAuthenticationProvider daoAuthenticationProviderW() {
-            DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
-            provider.setPasswordEncoder(bCryptPasswordEncoder);
-            provider.setUserDetailsService(vrabotenService);
-            return provider;
-        }
-
-        @Bean
-        public DaoAuthenticationProvider daoAuthenticationProviderRP(){
-            DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
-            provider.setPasswordEncoder(bCryptPasswordEncoder);
-            provider.setUserDetailsService(registriranParkiracService);
-            return provider;
-        }
-
-    }
Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -12,15 +12,9 @@
     private final ConfirmationTokenRepositoryW confirmationTokenRepositoryW;
 
-<<<<<<< HEAD
+
     public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP, ConfirmationTokenRepositoryW confirmationTokenRepositoryW, parkup.configs.token.ConfirmationTokenRepositoryW confirmationTokenRepositoryW1) {
         this.confirmationTokenRepositoryRP = confirmationTokenRepositoryRP;
         this.confirmationTokenRepositoryW = confirmationTokenRepositoryW1;
-=======
-    public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP, ConfirmationTokenRepositoryW confirmationTokenRepositoryW) {
-        this.confirmationTokenRepositoryRP = confirmationTokenRepositoryRP;
-        this.confirmationTokenRepositoryW = confirmationTokenRepositoryW;
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
     }
-
     public void saveConfirmationTokenRP(ConfirmationTokenRP token){
         confirmationTokenRepositoryRP.save(token);
Index: sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java
===================================================================
--- sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,60 @@
+package parkup.configs.webConfigs;
+
+import org.springframework.context.annotation.Bean;
+import org.springframework.context.annotation.Configuration;
+import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
+import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
+import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
+import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
+import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
+import parkup.services.RegistriranParkiracService;
+import parkup.services.VrabotenService;
+
+@EnableWebSecurity
+@Configuration
+public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
+        private final VrabotenService vrabotenService;
+        private final BCryptPasswordEncoder bCryptPasswordEncoder;
+        private final RegistriranParkiracService registriranParkiracService;
+
+        public WebSecurityConfig(VrabotenService vrabotenService, BCryptPasswordEncoder bCryptPasswordEncoder, RegistriranParkiracService registriranParkiracService) {
+            this.vrabotenService = vrabotenService;
+            this.bCryptPasswordEncoder = bCryptPasswordEncoder;
+            this.registriranParkiracService = registriranParkiracService;
+        }
+
+        @Override
+        protected void configure(HttpSecurity http) throws Exception {
+            http
+                    .csrf().disable()
+                    .authorizeRequests()
+                        .antMatchers("/registriranParkirac/registration/**")
+                        .permitAll()
+                    .anyRequest()
+                    .authenticated().and().formLogin();//ruta na viktor
+        }
+
+        @Override
+        protected void configure(AuthenticationManagerBuilder auth) throws Exception {
+            auth.authenticationProvider(daoAuthenticationProviderW());
+            auth.authenticationProvider(daoAuthenticationProviderRP());
+        }
+
+        @Bean
+        public DaoAuthenticationProvider daoAuthenticationProviderW() {
+            DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
+            provider.setPasswordEncoder(bCryptPasswordEncoder);
+            provider.setUserDetailsService(vrabotenService);
+            return provider;
+        }
+
+        @Bean
+        public DaoAuthenticationProvider daoAuthenticationProviderRP(){
+            DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
+            provider.setPasswordEncoder(bCryptPasswordEncoder);
+            provider.setUserDetailsService(registriranParkiracService);
+            return provider;
+        }
+
+    }
Index: sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigAdministrator.java
===================================================================
--- sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigAdministrator.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigAdministrator.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,49 @@
+//package parkup.configs.webConfigs;
+//
+//import org.springframework.context.annotation.Bean;
+//import org.springframework.context.annotation.Configuration;
+//import org.springframework.core.annotation.Order;
+//import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
+//import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
+//import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+//import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
+//import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
+//import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
+//import parkup.services.AdministratorService;
+//
+//@EnableWebSecurity
+//@Order(101)
+//@Configuration
+//public class WebSecurityConfigAdministrator extends WebSecurityConfigurerAdapter {
+//    private final AdministratorService administratorService;
+//    private final BCryptPasswordEncoder bCryptPasswordEncoder;
+//
+//    public WebSecurityConfigAdministrator(AdministratorService administratorService, BCryptPasswordEncoder bCryptPasswordEncoder) {
+//        this.administratorService = administratorService;
+//        this.bCryptPasswordEncoder = bCryptPasswordEncoder;
+//    }
+//
+//    @Override
+//    protected void configure(HttpSecurity http) throws Exception {
+//        http
+//                .csrf().disable()
+//                .authorizeRequests()
+//                .antMatchers("/administrator/registration/**")
+//                .permitAll()
+//                .anyRequest()
+//                .authenticated().and().formLogin();//ruta na viktor
+//    }
+//
+//    @Override
+//    protected void configure(AuthenticationManagerBuilder auth) throws Exception {
+//        auth.authenticationProvider(daoAuthenticationProviderA());
+//    }
+//
+//    @Bean
+//    public DaoAuthenticationProvider daoAuthenticationProviderA() {
+//        DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
+//        provider.setPasswordEncoder(bCryptPasswordEncoder);
+//        provider.setUserDetailsService(administratorService);
+//        return provider;
+//    }
+//}
Index: sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigRegistriranParkirac.java
===================================================================
--- sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigRegistriranParkirac.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigRegistriranParkirac.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,49 @@
+//package parkup.configs.webConfigs;
+//
+//import org.springframework.context.annotation.Bean;
+//import org.springframework.context.annotation.Configuration;
+//import org.springframework.core.annotation.Order;
+//import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
+//import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
+//import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+//import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
+//import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
+//import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
+//import parkup.services.RegistriranParkiracService;
+//
+//@EnableWebSecurity
+//@Order(100)
+//@Configuration
+//public class WebSecurityConfigRegistriranParkirac extends WebSecurityConfigurerAdapter {
+//    private final BCryptPasswordEncoder bCryptPasswordEncoder;
+//    private final RegistriranParkiracService registriranParkiracService;
+//
+//    public WebSecurityConfigRegistriranParkirac(RegistriranParkiracService registriranParkiracService, BCryptPasswordEncoder bCryptPasswordEncoder) {
+//        this.bCryptPasswordEncoder = bCryptPasswordEncoder;
+//        this.registriranParkiracService = registriranParkiracService;
+//    }
+//
+//    @Override
+//    protected void configure(HttpSecurity http) throws Exception {
+//        http
+//                .csrf().disable()
+//                .authorizeRequests()
+//                .antMatchers("/registriranParkirac/registration/**")
+//                .permitAll()
+//                .anyRequest()
+//                .authenticated().and().formLogin();//ruta na viktor
+//    }
+//
+//    @Override
+//    protected void configure(AuthenticationManagerBuilder auth) throws Exception {
+//        auth.authenticationProvider(daoAuthenticationProviderRP());
+//    }
+//
+//    @Bean
+//    public DaoAuthenticationProvider daoAuthenticationProviderRP(){
+//        DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
+//        provider.setPasswordEncoder(bCryptPasswordEncoder);
+//        provider.setUserDetailsService(registriranParkiracService);
+//        return provider;
+//    }
+//}
Index: sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigVraboten.java
===================================================================
--- sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfigVraboten.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -0,0 +1,51 @@
+//package parkup.configs.webConfigs;
+//
+//import org.springframework.context.annotation.Bean;
+//import org.springframework.context.annotation.Configuration;
+//import org.springframework.core.annotation.Order;
+//import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
+//import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
+//import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+//import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
+//import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
+//import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
+//import parkup.services.VrabotenService;
+//
+//@EnableWebSecurity
+//@Order(99)
+//@Configuration
+//public class WebSecurityConfigVraboten extends WebSecurityConfigurerAdapter {
+//    private final VrabotenService vrabotenService;
+//    private final BCryptPasswordEncoder bCryptPasswordEncoder;
+//
+//    public WebSecurityConfigVraboten(VrabotenService vrabotenService, BCryptPasswordEncoder bCryptPasswordEncoder) {
+//        this.vrabotenService = vrabotenService;
+//        this.bCryptPasswordEncoder = bCryptPasswordEncoder;
+//    }
+//
+//    @Override
+//    protected void configure(HttpSecurity http) throws Exception {
+//        http
+//                .csrf().disable()
+//                .authorizeRequests()
+//                .antMatchers("/vraboten/registration/**")
+//                .permitAll()
+//                .anyRequest()
+//                .authenticated()
+//                .and()
+//                .formLogin();//ruta na viktor
+//    }
+//
+//    @Override
+//    protected void configure(AuthenticationManagerBuilder auth) throws Exception {
+//        auth.authenticationProvider(daoAuthenticationProviderW());
+//    }
+//
+//    @Bean
+//    public DaoAuthenticationProvider daoAuthenticationProviderW() {
+//        DaoAuthenticationProvider provider = new DaoAuthenticationProvider();
+//        provider.setPasswordEncoder(bCryptPasswordEncoder);
+//        provider.setUserDetailsService(vrabotenService);
+//        return provider;
+//    }
+//}
